apt: pkgAcquire::Queue::QItem Struct Reference

apt 3.3.2 commandline package manager

Public Types | Public Member Functions | Public Attributes | List of all members
pkgAcquire::Queue::QItem Struct Reference

A single item placed in this queue. More...

`#include <apt-pkg/acquire.h>`

Inheritance diagram for pkgAcquire::Queue::QItem:

## Public Types
typedef std::vector< Item * >::const_iterator | owner_iterator

## Public Member Functions
void | operator= (pkgAcquire::ItemDesc const &I)
| Assign the ItemDesc portion of this QItem from another ItemDesc.
HashStringList | GetExpectedHashes () const
unsigned long long | GetMaximumSize () const
void | SyncDestinationFiles () const
| get partial files in order
std::string | Custom600Headers () const
int APT_HIDDEN | GetPriority () const
time_point APT_HIDDEN | GetFetchAfter () const
Public Member Functions inherited from WeakPointable
void | AddWeakPointer (WeakPointable **weakptr)
void | RemoveWeakPointer (WeakPointable **weakptr)
| ~WeakPointable ()

## Public Attributes
QItem * | Next
| The next item in the queue.
pkgAcquire::Worker * | Worker
| The worker associated with this item, if any.
std::vector< Item * > | Owners
| The underlying items interested in the download.
unsigned long long | CurrentSize = 0
| How many bytes of the file have been downloaded. Zero if the current progress of the file cannot be determined.
unsigned long long | TotalSize = 0
| The total number of bytes to be downloaded. Zero if the total size of the final is unknown.
unsigned long long | ResumePoint = 0
| How much of the file was already downloaded prior to starting this worker.
Public Attributes inherited from pkgAcquire::ItemDesc
std::string | URI
| URI from which to download this item.
std::string | Description
| description of this item.
std::string | ShortDesc
| shorter description of this item.
Item * | Owner
| underlying item which is to be downloaded.

## Detailed Description

A single item placed in this queue.

## Member Function Documentation

## ◆ Custom600Headers()

std::string Custom600Headers | ( |  | ) | const

Returns
  the custom headers to use for this item

References pkgAcquire::ItemDesc::Owner.

## ◆ GetExpectedHashes()

HashStringList GetExpectedHashes | ( |  | ) | const

Returns
  the sum of all expected hashes by all owners

References HashStringList::begin(), HashStringList::clear(), HashStringList::end(), pkgAcquire::ItemDesc::Owner, Owners, and HashStringList::push_back().

Referenced by pkgAcquire::Worker::RunMessages().

## ◆ GetFetchAfter()

APT_PURE pkgAcquire::time_point GetFetchAfter | ( |  | ) | const

Returns
  the maximum time to fetch this item at

References Owners.

## ◆ GetMaximumSize()

APT_PURE unsigned long long GetMaximumSize | ( |  | ) | const

Returns
  smallest maximum size of all owners

References Owners.

## ◆ GetPriority()

APT_PURE int GetPriority | ( |  | ) | const

Returns
  the maximum priority of this item

References Owners.

The documentation for this struct was generated from the following files:

- apt-pkg/acquire.h
- apt-pkg/acquire.cc